Bug 2662 - [UPDATE REQUEST] libgphoto 2.5.0 -> 2.5.2
: [UPDATE REQUEST] libgphoto 2.5.0 -> 2.5.2
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-06 17:21 MSD by Andrey Bondrov
Modified: 2013-09-19 19:17 MSD (History)
4 users (show)

See Also:
RPM Package: libgphoto
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments
report-gphoto.odt (90.93 KB, application/vnd.oasis.opendocument.text)
2013-09-17 00:00 MSD, Postnikov Dmitry
Details
gg2.png (276.60 KB, image/png)
2013-09-18 18:14 MSD, Postnikov Dmitry
Details
ggg1.png (487.60 KB, image/png)
2013-09-18 18:15 MSD, Postnikov Dmitry
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Bondrov 2013-09-06 17:21:16 MSD
New version of libgphoto was released some time ago.
Comment 1 Andrey Bondrov 2013-09-06 17:22:25 MSD
Advisory: "New version 2.5.2. It supports more devices, fixes some bugs etc"

https://abf.rosalinux.ru/build_lists/1245457
https://abf.rosalinux.ru/build_lists/1245458
Comment 2 Vladimir Potapov 2013-09-13 19:37:58 MSD
The update route to extended testing
Comment 3 Postnikov Dmitry 2013-09-17 00:00:17 MSD
Created attachment 1925 [details]
report-gphoto.odt

**************************
Extended testing report
*************************
Comment 4 Andrey Bondrov 2013-09-17 02:18:21 MSD
Please try with updated gphoto2 (enable both libgphoto and gphoto2 containers):

https://abf.rosalinux.ru/build_lists/1256476
https://abf.rosalinux.ru/build_lists/1256477
Comment 5 Postnikov Dmitry 2013-09-18 13:53:31 MSD
(In reply to comment #4)
> Please try with updated gphoto2 (enable both libgphoto and gphoto2
> containers):
> 
> https://abf.rosalinux.ru/build_lists/1256476
> https://abf.rosalinux.ru/build_lists/1256477

This update is OK.  	
But when you turn on the photo camera does not pop up messages. As previously pop uped.
Comment 6 Vladimir Potapov 2013-09-18 14:25:09 MSD
(In reply to comment #5)
> (In reply to comment #4)
> > Please try with updated gphoto2 (enable both libgphoto and gphoto2
> > containers):
> > 
> > https://abf.rosalinux.ru/build_lists/1256476
> > https://abf.rosalinux.ru/build_lists/1256477
> 
> This update is OK.  	
> But when you turn on the photo camera does not pop up messages. As
> previously pop uped.
	
Maybe the camera is in a different mode? (PictBridge or flash-drive)
Comment 7 Postnikov Dmitry 2013-09-18 14:29:56 MSD
(In reply to comment #6)
> (In reply to comment #5)
> > (In reply to comment #4)
> > > Please try with updated gphoto2 (enable both libgphoto and gphoto2
> > > containers):
> > > 
> > > https://abf.rosalinux.ru/build_lists/1256476
> > > https://abf.rosalinux.ru/build_lists/1256477
> > 
> > This update is OK.  	
> > But when you turn on the photo camera does not pop up messages. As
> > previously pop uped.
> 	
> Maybe the camera is in a different mode? (PictBridge or flash-drive)

the camera always Protocol PTP worked and is working now. gphoto2 normally cope with import photos from your camera in the console.
 	
I'm talking about the pop-up messages when insert camera into usb port. They used to be, and can be opened through the Dolphin camera and work. And now doesn't work. Regression.
Comment 8 Vladimir Potapov 2013-09-18 16:33:46 MSD
(In reply to comment #7)
> (In reply to comment #6)
> > (In reply to comment #5)
> > > (In reply to comment #4)
> > > > Please try with updated gphoto2 (enable both libgphoto and gphoto2
> > > > containers):
> > > > 
> > > > https://abf.rosalinux.ru/build_lists/1256476
> > > > https://abf.rosalinux.ru/build_lists/1256477
> > > 
> > > This update is OK.  	
> > > But when you turn on the photo camera does not pop up messages. As
> > > previously pop uped.
> > 	
> > Maybe the camera is in a different mode? (PictBridge or flash-drive)
> 
> the camera always Protocol PTP worked and is working now. gphoto2 normally
> cope with import photos from your camera in the console.
>  	
> I'm talking about the pop-up messages when insert camera into usb port. They
> used to be, and can be opened through the Dolphin camera and work. And now
> doesn't work. Regression.
Hm. All OK for my camera for all modes...
Comment 9 Vladimir Potapov 2013-09-18 17:59:10 MSD
(In reply to comment #7)

> I'm talking about the pop-up messages when insert camera into usb port. They
> used to be, and can be opened through the Dolphin camera and work. And now
> doesn't work. Regression.
If roll back you system with urpm-reposync, the pop-up messages are restored?
Comment 10 Postnikov Dmitry 2013-09-18 18:12:43 MSD
(In reply to comment #9)
> (In reply to comment #7)
> 
> > I'm talking about the pop-up messages when insert camera into usb port. They
> > used to be, and can be opened through the Dolphin camera and work. And now
> > doesn't work. Regression.
> If roll back you system with urpm-reposync, the pop-up messages are restored?

Yes. I rool back system and pop up message show when i insert camera to usb port.
Comment 11 Postnikov Dmitry 2013-09-18 18:14:32 MSD
Created attachment 1933 [details]
gg2.png

(In reply to comment #10)
> (In reply to comment #9)
> > (In reply to comment #7)
> > 
> > > I'm talking about the pop-up messages when insert camera into usb port. They
> > > used to be, and can be opened through the Dolphin camera and work. And now
> > > doesn't work. Regression.
> > If roll back you system with urpm-reposync, the pop-up messages are restored?
> 
> Yes. I rool back system and pop up message show when i insert camera to usb
> port.

and view camera in Dolphin/Nautilus.
Comment 12 Postnikov Dmitry 2013-09-18 18:15:03 MSD
Created attachment 1934 [details]
ggg1.png

(In reply to comment #10)
> (In reply to comment #9)
> > (In reply to comment #7)
> > 
> > > I'm talking about the pop-up messages when insert camera into usb port. They
> > > used to be, and can be opened through the Dolphin camera and work. And now
> > > doesn't work. Regression.
> > If roll back you system with urpm-reposync, the pop-up messages are restored?
> 
> Yes. I rool back system and pop up message show when i insert camera to usb
> port.

and view camera in Dolphin/Nautilus. and pop up messages.
Comment 13 Vladimir Potapov 2013-09-18 19:19:26 MSD
> > 
> > Yes. I rool back system and pop up message show when i insert camera to usb
> > port.
> 
> and view camera in Dolphin/Nautilus. and pop up messages.
*******************
QA Denied
Comment 14 Andrey Bondrov 2013-09-18 19:29:36 MSD
I'll try to investigate and fix this issue.
Comment 15 Aleksandr Kazantcev 2013-09-19 00:21:43 MSD
Fix version of libs

https://abf.rosalinux.ru/build_lists/1260536
https://abf.rosalinux.ru/build_lists/1260537
Comment 16 Postnikov Dmitry 2013-09-19 00:28:23 MSD
(In reply to comment #15)
> Fix version of libs
> 
> https://abf.rosalinux.ru/build_lists/1260536
> https://abf.rosalinux.ru/build_lists/1260537

All works with the new libraries. And gphoto2 through the console downloads photo with the camera, and the Nautilus, too, became visible camera, and a pop-up message began to work.
Comment 17 Vladimir Potapov 2013-09-19 08:11:10 MSD
libgphoto2_6-2.5.2-3-rosa2012.1
************************** Advisory *****************************
New version 2.5.2. It supports more devices, fixes some bugs etc
*****************************************************************
QA Verified